---
title: '@import'
slug: Web/CSS/@import
tags:
  - At-rule
  - CSS
  - CSS Cascade
  - CSS Conditional Rules
  - Reference
---
<div>{{CSSRef}}</div>

<p>The <strong><code>@import</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/At-rule">at-rule</a> is used to import style rules from other style sheets.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">@import <var>url</var>;
@import <var>url</var> <var>list-of-media-queries</var>;
@import <var>url</var> supports( <var>supports-query</var> );
@import <var>url</var> supports( <var>supports-query</var> ) <var>list-of-media-queries</var>;
</pre>

<p>where:</p>

<dl>
 <dt><em>url</em></dt>
 <dd>Is a {{CSSxRef("&lt;string&gt;")}} or a {{CSSxRef("&lt;url&gt;")}} representing the location of the resource to import. The URL may be absolute or relative. Note that the URL for a Mozilla package need not actually specify a file; it can just specify the package name and part, and the appropriate file is chosen automatically (e.g. <code>chrome://communicator/skin/</code>). <a href="/en-US/docs/Mozilla/Tech/XUL/Tutorial/The_Chrome_URL">See here</a> for more information.</dd>
 <dt><em>list-of-media-queries</em></dt>
 <dd>Is a comma-separated list of <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries">media queries</a> conditioning the application of the CSS rules defined in the linked URL. If the browser does not support any these queries, it does not load the linked resource.</dd>
 <dt><em>supports-query</em></dt>
 <dd>Is either a {{CSSxRef("@supports", "&lt;supports-condition&gt;", "#Syntax")}} or a {{CSSxRef("Syntax", "&lt;declaration&gt;", "#CSS_declarations")}}.</dd>
</dl>

<h2 id="Description">Description</h2>

<p>Imported rules must precede all other types of rules, except {{CSSxRef("@charset")}} rules; as it is not a <a href="/en-US/docs/Web/CSS/Syntax#nested_statements">nested statement</a>, <code>@import</code> cannot be used inside <a href="/en-US/docs/Web/CSS/At-rule#Conditional_Group_Rules">conditional group at-rules</a>.</p>

<p>So that {{glossary("user agent")}}s can avoid retrieving resources for unsupported media types, authors may specify media-dependent <code>@import</code> rules. These conditional imports specify comma-separated <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries">media queries</a> after the URL. In the absence of any media query, the import is unconditional. Specifying <code>all</code> for the medium has the same effect.</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Importing_CSS_rules">Importing CSS rules</h3>

<pre class="brush: css notranslate">@import 'custom.css';
@import url("chrome://communicator/skin/");</pre>

<h3 id="Importing_CSS_rules_conditionally">Importing CSS rules conditionally</h3>

<pre class="brush: css notranslate">@import url("fineprint.css") print;
@import url("bluish.css") speech;
@import "common.css" screen;
@import url('landscape.css') screen and (orientation:landscape);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Cascade", "#at-import", 'the <code>@import</code> rule')}}</td>
   <td>{{Spec2("CSS4 Cascade")}}</td>
   <td>Extended the syntax to support the {{CSSxRef("@supports")}} syntax.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Cascade', '#at-ruledef-import', '@import')}}</td>
   <td>{{Spec2('CSS3 Cascade')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Media Queries', '#media0', '@import')}}</td>
   <td>{{Spec2('CSS3 Media Queries')}}</td>
   <td>Extended the syntax to support any media query and not only simple <a href="/en-US/docs/Web/CSS/@media#Media_types">media types</a>.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'cascade.html#at-import', '@import')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Added support for {{CSSxRef("&lt;string&gt;")}} to denote the url of a stylesheet,<br>
    and requirement to insert the <code>@import</code> rule at the beginning of the CSS document.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#the-cascade', '@import')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.import")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef("@media")}}</li>
 <li>{{CSSxRef("@supports")}}</li>
</ul>
